<?php
namespace Affilivice\Design\Filter;

if(!defined('ABSPATH')) {
    exit('Not allowed to access pages directly.');
}

class Archive_Title_Filter
{
    /**
     * @hook get_the_archive_title
     * @since 0.8
     * @param string $title
     * @return string
     */
    public function filter($title)
    {
        $title = preg_replace( '#^[\w\d\s]+:\s*#', '', strip_tags($title));

        return $title;
    }
}
