# [Affilivice Theme](https://affilicioustheme.de) [![Build Status](https://travis-ci.org/affilicious/affilivice.svg?branch=master)](https://travis-ci.org/affilicious/affilivice) [![Website](https://img.shields.io/website-up-down-green-red/http/shields.io.svg)](https://affilicioustheme.de) [![License](https://img.shields.io/badge/license-GPL--2.0%2B-red.svg)](https://github.com/affilicious/affilivice/blob/master/LICENSE) #
Das Affilivice Theme ist ein auf Wordpress basierendes Affiliate Theme, mit dem du schnell und unkompliziert eigene Affiliate Projekte auf die Beine stellen kannst. Mit seinen vielen Anpassungsmöglichkeiten ist es sehr einfach eine passende Nischenseite für deine Zielgruppe erstellen zu können.
Das Beste am Affilivice Theme ist, dass es für dich völlig kostenlos ist und bleiben wird.

### Was enthält das Affilivice Theme? ###
Im Affilivice Theme sind viele Elemente integriert, die ein angenehmes Nutzererlebnis verschaffen. Das Theme ist responsiv und kann problemlos auf allen Geräten bedient werden. Suchmaschinen legen einen immer größeren Wert auf mobil optimierte Webseiten, da die Relevanz als Rankingfaktor stetig zunimmt.

Zusätzlich werden Beiträge und erstellte Produktseiten mit der Infinite Scrolling Technik geladen. Das bedeutet, dass man nicht mehr zwischen den Seiten wechseln muss, sondern man einfach scrollt und die Beiträge an das Ende der Seite angehängt werden. Falls Probleme beim Browser eintreten sollten, ist eine Fallback Lösung im Sinne einer klassischen Pagination sofort zur Stelle.

Mithilfe von eigenen Schlagwörtern ist es nun möglich, die Produkte und Beiträge individuell zu versehen. Beispielsweise können so Produkte mit einem Schlagwort wie z.B. Testsieger versehen werden, um die Relevanz dieses Produktes zu untermauern. Letztendlich ist es jedoch vollkommen dir überlassen, wie du die Schlagwörter für dich sinnvoll einsetzt.

Das war nur ein kleiner Einblick in unsere Features. Da die Anzahl der Features beständig wächst, findest du alle auf unserer [offiziellen Website](https://affilicioustheme.de). 

## Installation ##
### Über die Git-Versionsverwaltung ###
Für die letzte stabile Master Version:

1. Klone das Hauptplugin mit der eigentlichen Logik in das Wordpress Plugin Verzeichnis: `https://github.com/affilicious-theme/affilicious.git`
2. Klone das Theme mit den Designelementen in das Wordpress Theme Verzeichnis: `https://github.com/affilicious-theme/affilivice.git`
3. Wechsel bei beiden Projekten den Branch auf `master`
4. Aktiviere beides im Adminbereich.

Für die letzte stabile Entwickler Version über Git:

1. Klone das Hauptplugin mit der eigentlichen Logik in das Wordpress Plugin Verzeichnis: `https://github.com/affilicious-theme/affilicious.git`
2. Klone das Theme mit den Designelementen in das Wordpress Theme Verzeichnis: `https://github.com/affilicious-theme/affilivice.git`
3. Wechsel bei beiden Projekten den Branch auf `develop`
4. Aktiviere beides im Adminbereich.

### Über eine einfache ZIP-Datei ###
Für die letzte stabile Master Version über ZIP:

1. Lade dir das Hauptplugin mit der eigentlichen Logik als ZIP-Datei herunter: [https://github.com/affilicious-theme/affilicious/archive/master.zip](https://github.com/affilicious-theme/affilicious/archive/master.zip)
2. Lade dir das Theme mit den Designelementen als ZIP-Datei herunter: [https://github.com/affilicious-theme/affilivice/archive/master.zip](https://github.com/affilicious-theme/affilivice/archive/master.zip)
3. Lade das Hauptplugin und das Theme auf deine Wordpress Seite hoch.
4. Aktiviere beides im Adminbereich.

Für die letzte stabile Entwickler Version über ZIP:

1. Lade dir das Hauptplugin mit der eigentlichen Logik als ZIP-Datei herunter: [https://github.com/affilicious-theme/affilicious/archive/develop.zip](https://github.com/affilicious-theme/affilicious/archive/develop.zip)
2. Lade dir das Theme mit den Designelementen als ZIP-Datei herunter: [https://github.com/affilicious-theme/affilivice/archive/develop.zip](https://github.com/affilicious-theme/affilivice/archive/develop.zip)
3. Lade das Hauptplugin und das Theme auf deine Wordpress Seite hoch.
4. Aktiviere beides im Adminbereich.

Eine ausführliche Anleitung für die Installation und viele weitere hilfreiche Tipps im Umgang mit dem Affilivice, findest du auf unserer offiziellen [Dokumentation](http://docs.affilicioustheme.de).

## Bugs ##
Solltest du einen Bug finden, kannst du diesen gerne [hier](https://github.com/affilicious-theme/affilivice/issues?state=open) melden!

## Wie kann ich helfen? ##
Jeder ist willkommen um zur Entwicklung von Affilivice beizutragen. Es gibt viele Wege sich zu beteiligen:

1. Schicke uns deinen Pull Request mit deinem Bug Fix oder Feature.
2. Erstelle ein [Problem](https://github.com/affilicious-theme/affilivice/issues) auf Github.
3. Übersetze Affilicious in eine andere Sprache.
4. Sende einen Vorschlag oder Feedback auf [Verbesserungen](https://github.com/affilicious-theme/affilivice/issues?direction=desc&labels=Enhancement&page=1&sort=created&state=open)
