<?php get_header(); ?>

<main id="content" role="main">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-8 col-md-12 col-sm-12 col-12">
                <?php if (!affvc_is_taxonomy_title_hidden() || !affvc_is_taxonomy_description_hidden()): ?>
                    <div class="row">
                        <div class="col-md-12">
                            <header>
                                <?php if (!affvc_is_taxonomy_title_hidden()): ?>
                                    <?php the_archive_title( '<h1 class="taxonomy-title">', '</h1>'); ?>
                                <?php endif; ?>

                                <?php if (!affvc_is_taxonomy_description_hidden()): ?>
                                    <?php the_archive_description( '<div class="taxonomy-description">', '</p>'); ?>
                                <?php endif; ?>
                            </header>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="row ias-container">
                    <?php if (have_posts()): ?>
                        <?php while (have_posts()) : the_post(); ?>
                            <div class="col-md-12 ias-item">
                                <?php if(affvc_is_product()): ?>
                                    <?php get_template_part('partials/product-preview'); ?>
                                <?php else: ?>
                                    <?php get_template_part('partials/entry-preview'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endwhile; ?>
                    <?php else: ?>
                        <div class="col-md-12">
                            <?php get_template_part('partials/not-found'); ?>
                        </div>
                    <?php endif ?>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <?php get_template_part('partials/pagination'); ?>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 col-12 <?php if(affvc_is_sidebar_position_left()): ?>flex-xl-first flex-lg-first<?php endif; ?>">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</main>

<?php get_footer(); ?>
