<footer id="footer" role="contentinfo">

	<?php if (affvc_has_breadcrumbs()): ?>
		<div id="footer-breadcrumbs">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<?php affvc_the_breadcrumbs(); ?>
					</div>
				</div>
			</div>
		</div>
	<?php endif; ?>

	<div id="footer-content" <?php if (affvc_is_footer_content_hidden()): ?>style="display: none;"<?php endif; ?>>
		<div class="container">
			<div class="row">
				<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12">
					<div id="footer-sidebar">
						<div class="row">
							<?php if(is_active_sidebar('affvc-footer-sidebar')): ?>
								<?php dynamic_sidebar('affvc-footer-sidebar'); ?>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<div class="col-xl-5 col-lg-6 col-md-6 col-sm-12 col-12 offset-xl-1">
					<div class="row">
						<div class="col-md-6">
							<?php if (affvc_has_footer_content_first_menu()): ?>
								<nav id="footer-content-first-menu">
									<?php affvc_the_footer_content_first_menu(); ?>
								</nav>
							<?php endif; ?>
						</div>

						<div class="col-md-6">
							<?php if (affvc_has_footer_content_second_menu()): ?>
								<nav id="footer-content-second-menu">
									<?php affvc_the_footer_content_second_menu(); ?>
								</nav>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div id="footer-plinth">
		<div class="container">
			<div class="row">
				<div class="col-xl-8 col-lg-8 col-md-12 col-sm-12 col-12">
					<?php if(affvc_has_copyright()): ?>
						<small id="footer-copyright">
							<?php affvc_the_copyright() ?>
						</small>
					<?php endif; ?>

					<?php if (affvc_has_footer_plinth_menu()): ?>
						<nav id="footer-plinth-menu">
							<?php affvc_the_footer_plinth_menu(); ?>
						</nav>
					<?php endif; ?>
				</div>
				<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 col-12">
					<div id="footer-social">
						<?php if(affvc_has_facebook_link()): ?>
							<a href="<?php affvc_the_facebook_link(); ?>" class="social-btn facebook"><i class="fa fa-facebook"></i></a>
						<?php endif; ?>

						<?php if(affvc_has_twitter_link()): ?>
							<a href="<?php affvc_the_twitter_link(); ?>" class="social-btn twitter"><i class="fa fa-twitter"></i></a>
						<?php endif; ?>

						<?php if(affvc_has_google_plus_link()): ?>
							<a href="<?php affvc_the_google_plus_link(); ?>" class="social-btn google-plus"><i class="fa fa-google-plus"></i></a>
						<?php endif; ?>

						<?php if(affvc_has_pinterest_link()): ?>
							<a href="<?php affvc_the_pinterest_link(); ?>" class="social-btn pinterest"><i class="fa fa-pinterest"></i></a>
						<?php endif; ?>

						<?php if(affvc_has_reddit_link()): ?>
							<a href="<?php affvc_the_reddit_link(); ?>" class="social-btn reddit"><i class="fa fa-reddit"></i></a>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>

</footer>

<?php wp_footer(); ?>
</body>
</html>
