<?php if($imageGallery = aff_get_product_image_gallery()): ?>
    <div id="product-image-gallery">
        <div class="slick-container">
            <div class="slick-product-gallery">
                <?php foreach ($imageGallery as $image): ?>
                    <div class="slick-slide">
                        <figure class="center">
                            <?php echo wp_get_attachment_image($image, array(250, 250)); ?>
                        </figure>
                    </div>
                <?php endforeach; ?>
            </div>
            <div class="slick-product-nav">
                <?php foreach ($imageGallery as $image): ?>
                    <div class="slick-slide">
                        <figure class="center">
                            <?php echo wp_get_attachment_image($image, array(50, 50)); ?>
                        </figure>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php else: ?>
    <div class="product-thumbnail">
        <?php if(has_post_thumbnail()): ?>
            <?php the_post_thumbnail(); ?>
        <?php else: ?>
            <?php get_template_part('partials/misc/no-thumbnail'); ?>
        <?php endif; ?>
    </div>
<?php endif; ?>
