<?php
namespace Affilivice\Design\Filter;

if(!defined('ABSPATH')) {
    exit('Not allowed to access pages directly.');
}

class Pagination_Filter
{
    /**
     * Remove the h2 tag from the pagination.
     *
     * @hook navigation_markup_template
     * @since 0.8
     * @param string $content
     * @return string
     */
    public function filter($content)
    {
        // Remove h2 tag
        $content = preg_replace('#<h2.*?>(.*?)<\/h2>#si', '', $content);

        return $content;
    }
}
